## GogTrendLine

GogTrendLine

## Synopsis

                        GogTrendLineType;
    GogTrendLine*       gog_trend_line_new_by_name          (char const *id);
    GogTrendLine*       gog_trend_line_new_by_type          (GogTrendLineType const *type);
    GHashTableconst *   gog_trend_line_types                (void);

## Description

## Details

### GogTrendLineType

    typedef struct {
    	char *engine;

    	char *name;
    	char *description; /* untranslated */

    	GHashTable *properties;
    } GogTrendLineType;

### gog_trend_line_new_by_name ()

    GogTrendLine*       gog_trend_line_new_by_name          (char const *id);

`id` : |
Returns : |

### gog_trend_line_new_by_type ()

    GogTrendLine*       gog_trend_line_new_by_type          (GogTrendLineType const *type);

`type` : |
Returns : |

### gog_trend_line_types ()

    GHashTableconst *   gog_trend_line_types                (void);

Returns : |